diff -r 8ecb0659cd2a app/views/issues/_issue_extensions_form.erb
--- a/app/views/issues/_issue_extensions_form.erb	Tue Jun 20 19:55:36 2017 +0900
+++ b/app/views/issues/_issue_extensions_form.erb	Mon Jul 24 15:32:08 2017 +0900
@@ -15,7 +15,7 @@
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
-if IssueExtensionsUtil.is_enabled?(project) -%><%
+if IssueExtensionsUtil.is_enabled?(project) and (Setting.plugin_redmine_issue_extensions[:issue_ext_search_enabled] or Setting.plugin_redmine_issue_extensions[:issue_ext_relations_enabled]) -%><%
   parameters = request.parameters
   cb_subject = parameters[:cb_subject]
   cb_subject = "" unless cb_subject
@@ -24,6 +24,7 @@
 <hr />
 <div id="issue_extensions_form">
   <p><strong><%= l(:issue_extensions) %></strong></p>
+<% if Setting.plugin_redmine_issue_extensions[:issue_ext_search_enabled] -%>
   <div id="issue_extensions_search">
     <%= form_tag({:controller => 'issues', :action => 'show', :id => @issue.id}, :method => :get) do %>
       <%= l(:field_subject) %>:<%= text_field_tag "cb_subject", cb_subject, :size => 30 %>
@@ -43,9 +44,12 @@
       </ul>
     </fieldset>
   </div>
+<% end %>
+<% if Setting.plugin_redmine_issue_extensions[:issue_ext_relations_enabled] -%>
   <div id="issue_extensions_relations">
     <p><%= link_to l(:label_add_relation_issue), {:controller => 'issues', :action => 'new', :project_id => @issue.project_id, :relation_issue => issue.id}, :class => 'icon icon-edit' %><br />
     <%= link_to l(:label_add_duplicate_issue), {:controller => 'issues', :action => 'new', :project_id => @issue.project_id, :copy_from => @issue, :duplicate_issue => "t"}, :class => 'icon icon-duplicate' %></p>
   </div>
+<% end %>
 </div><%
 end %>
diff -r 8ecb0659cd2a app/views/issues/_issue_extensions_view_issues_form_details_bottom.erb
--- a/app/views/issues/_issue_extensions_view_issues_form_details_bottom.erb	Tue Jun 20 19:55:36 2017 +0900
+++ b/app/views/issues/_issue_extensions_view_issues_form_details_bottom.erb	Mon Jul 24 15:32:08 2017 +0900
@@ -16,7 +16,7 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 -%><%
-if IssueExtensionsUtil.is_enabled?(project) -%><%
+if IssueExtensionsUtil.is_enabled?(project)  and (Setting.plugin_redmine_issue_extensions[:issue_ext_search_enabled] or Setting.plugin_redmine_issue_extensions[:issue_ext_relations_enabled]) -%><%
   parameters = request.parameters %>
 <hr />
 <div id="issue_extensions_form">
diff -r 8ecb0659cd2a app/views/settings/_redmine_issue_extensions_settings.html.erb
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/app/views/settings/_redmine_issue_extensions_settings.html.erb	Mon Jul 24 15:32:08 2017 +0900
@@ -0,0 +1,9 @@
+<p>
+  <%= label_tag 'search_extension' %>
+  <%= check_box_tag 'settings[issue_ext_search_enabled]', true, @settings[:issue_ext_search_enabled] %><%= l(:label_settings_search_enabled) %>
+</p>
+<p>
+  <%= label_tag 'relations_extension' %>
+  <%= check_box_tag 'settings[issue_ext_relations_enabled]', true, @settings[:issue_ext_relations_enabled] %><%= l(:label_settings_relations_enabled) %>
+</p>
+
diff -r 8ecb0659cd2a config/locales/en.yml
--- a/config/locales/en.yml	Tue Jun 20 19:55:36 2017 +0900
+++ b/config/locales/en.yml	Mon Jul 24 15:32:08 2017 +0900
@@ -7,14 +7,17 @@
   field_old_status: Alpha
   field_new_status: Beta
 
-  label_add_duplicate_issue: Add duplicated this issue
+  label_add_duplicate_issue: Duplicate this issue
 
   label_add_relation: Add related
-  label_add_relation_issue: Add related this issue
+  label_add_relation_issue: Add an issue related to this one
   label_searched_issues: Searched issues
 
   permission_manage_issue_extensions: Manage Issue Extensions
 
   project_module_issue_extensions: Issue Extensions
 
-  text_changed_from_the_alpha_to_the_beta: When assigned to the person is set, status is automatically changed from the [ alpha ] to the [ beta ].
+  text_changed_from_the_alpha_to_the_beta: When assignee is set, status is automatically changed from state [ alpha ] to state [ beta ].
+
+  label_settings_search_enabled: Enable the search extension in issues
+  label_settings_relations_enabled: Enable the relation management extension in issues
diff -r 8ecb0659cd2a config/locales/ja.yml
--- a/config/locales/ja.yml	Tue Jun 20 19:55:36 2017 +0900
+++ b/config/locales/ja.yml	Mon Jul 24 15:32:08 2017 +0900
@@ -18,3 +18,6 @@
   project_module_issue_extensions: Issue Extensions
 
   text_changed_from_the_alpha_to_the_beta: ステータスが[ α ]のチケットに担当者を設定すると自動的に[ β ]に変更します。
+
+  label_settings_search_enabled: チケットで拡張された検索を有効にする
+  label_settings_relations_enabled: チケットで拡張された関連付け昨日を有効にする
diff -r 8ecb0659cd2a init.rb
--- a/init.rb	Tue Jun 20 19:55:36 2017 +0900
+++ b/init.rb	Mon Jul 24 15:32:08 2017 +0900
@@ -26,6 +26,9 @@
   version '0.2.0.1'
   requires_redmine :version_or_higher => '2.0.0'
 
+  settings :default => {'issue_ext_search_enabled' => true, 'issue_ext_relations_enabled' => true},
+	  :partial => 'settings/redmine_issue_extensions_settings'
+
   project_module :issue_extensions do
     permission :manage_issue_extensions, {:issue_extensions_settings => [:show, :update]}, :require => :member
   end
